[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TWriteBufStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Write-only buffered stream.

## Declaration

Source position: bufstream.pp line 69

`type TWriteBufStream = class(TBufStream)`
`public`
`destructor Destroy; override;` |  | Remove the TWriteBufStream instance from memory
`function Seek(); override;` |  | Set stream position.
`function Write(); override;` |  | Write data to the stream
`end;`

## Inheritance

`TWriteBufStream` |  | Write-only buffered stream.
`TBufStream` |  | Common ancestor for buffered streams
`TOwnerStream`
`TStream`
`TObject`

## Description

TWriteBufStream is a write-only buffered stream. It implements the needed methods to write data to the buffer and flush the buffer (i.e., write its contents to the source stream) when needed.

## See also

TBufStream |  | Common ancestor for buffered streams
TReadBufStream |  | Read-only buffered stream.